### Name: getConfidenceInterval
### Title: Compute Confidence Intervals for a Model Fit to Dilution Series
### Aliases: getConfidenceInterval
### Keywords: models

### ** Examples

path <- system.file("rppaCellData", package="SuperCurve")
akt <- RPPA("Akt.txt", path=path)
design <- RPPADesign(akt, grouping="blockSample",
                     controls=list("neg con", "pos con"))
fit.nls <- RPPAFit(akt, design, "Mean.Net")
# Warning: this takes a while!
fit.nls <- getConfidenceInterval(fit.nls, alpha=0.10, nSim=50)



