### Name: RPPADesign-class
### Title: The RPPADesign Class
### Aliases: RPPADesign-class RPPADesign image,RPPADesign-method
###   summary,RPPADesign-method names,RPPADesign-method seriesNames
###   getSteps
### Keywords: regression

### ** Examples

path <- system.file("rppaTumorData", package="SuperCurve")
erk2 <- RPPA("ERK2.txt", path=path)
design <- RPPADesign(erk2, grouping="blockSample", center=TRUE)
image(design)
summary(design)

design <- RPPADesign(erk2, grouping="blockSample",
                     controls=list("neg con", "pos con"))
image(design)
summary(design)

path <- system.file("rppaCellData", package="SuperCurve")
akt <- RPPA("Akt.txt", path=path)
# Uses duplicate 8-step dilution series within 4x4 subgrids.
# They are interleaved, with top two identical rows containing
# the first 4 steps and the bottom two identical rows
# containing the last 4 steps.
steps <- rep(c(rep(8:5, 2), rep(4:1, 2)), 40) - 4.5
rep.temp <- factor(paste('Rep', rep(rep(1:2, each=4), 80), sep=''))
series <- factor(paste(as.character(akt@data$Sample),
                             as.character(rep.temp),
                             sep='.'))
design40 <- RPPADesign(akt, steps=steps, series=series)
image(design40)
summary(design40)




